<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css">
</head>

<body>
    <div class="container m-5">
        <button type="button" class="btn btn-primary m-2" onclick="getAll()">API GET</button>
        <button type="button" class="btn btn-secondary m-2" onclick="getById()">API GET BY ID</button>
        <button type="button" class="btn btn-success m-2" onclick="createPost()">API CREATE</button>
        <button type="button" class="btn btn-danger m-2" onclick="updatePost()">API UPDATE</button>
        <button type="button" class="btn btn-warning m-2" onclick="deletePost()">API DELETE</button>
        <button type="button" class="btn btn-warning m-2" onclick="getData()">Get Data 1 to 2/button>
    </div>

    <script>
        const gURL = "https://jsonplaceholder.typicode.com/posts/";

        async function fetchAPI(url, options) {
            var response = await fetch(url, options);

            var data = await response.json();

            console.log(data);
        }

        function getAll() {
            fetchAPI(gURL, {
                method: "GET"
            });
        }

        function getById() {
            fetchAPI(gURL + "/1", {
                method: "GET"
            });
        }

        function createPost() {
            fetchAPI(gURL, {
                method: "POST",
                body: JSON.stringify({
                    title: 'foo',
                    body: 'bar',
                    userId: 1,
                }),
                headers: {
                    'Content-type': 'application/json; charset=UTF-8',
                },
            })
        }

        function updatePost() {
            fetchAPI(gURL + "/1", {
                method: "PUT",
                body: JSON.stringify({
                    title: 'foo',
                    body: 'bar',
                    userId: 1,
                }),
                headers: {
                    'Content-type': 'application/json; charset=UTF-8',
                },
            })
        }

        function deletePost() {
            fetchAPI(gURL + "/1", {
                method: "DELETE"
            })
        }

        async function getData() {
            var response1 = await fetch(gURL + "/1");

            var data1 = await response1.json();

            console.log(data1);

            var response2 = await fetch(gURL + "/2");

            var data2 = await response2.json();

            console.log(data2);
        }
    </script>
</body>

</html>